Subject: summary: software to detect binding site

From: eric hu <[email-masked]>
Date: Fri, 9 Mar 2001 10:57:47 -0800 (PST)

Dear CCLers

A week ago, I posted a message:
> I'm working on a big protein which has multiple
> binding domains. Is there a
> way to choose the best binding site for the ligand?
> Maybe it's just a
> dream.

Hello, all 

Thank you very much for the input. I'll give a summary
later. My question 
now is after I find the possible pockets or cavities
of a protein, how can 
I dock the substrate to the pockets effectively? I
really hope there is an 
easier way instead of manually docking with autodock
or other tools. Maybe 
I can use the substrate as a probe to detect those
possible binding pockets 
with easy algorithm such as simply comparing the vdw
volume and so on. Then 
I can get rid of bad condidates quickly. So the
question actually is how 
you narrow down the possible general binding modes for
a given substrate. 

thanks 

Eric 

I received a lot of replies. Here I list some of them.
And thanks for all the kind people.

(1)CastP

Eldbjéög Sofie Heimstad <[email-masked]>
Hi Eric,

Take a look on CAST: http://cast.engr.uic.edu/cast/
- it may be useful.

Mitchell Polley <[email-masked]> 

Tripos offers SiteID for identifying potential binding
pockets.
(www.tripos.com)
There is also CAST for this purpose.
(http://sunrise.cbs.umn.edu/cast/)
(2)Autodock
"Zengjian Hu" <[email-masked]> 
Hi, Eric 

I suggest that you use Autodock program developed by
Dr. Olson 
> from the Scripps Research Insititute. It certainly can
find 
the proper binding site in the protein. 

Best regards, 

Zengjian 

"Garrett M. Morris" <[email-masked]> 
AutoDock is not a manual docking program: as its name
suggests, it is
an *automated* docking program.  If you create a grid
box that is big
enough to hold the entire protein/DNA molecule and the
ligand, then
AutoDock will search the entire molecule for good
binding sites.  You
do not need a priori knowledge of the location of the
active site.

The most efficient search method in AutoDock is the
Lamarckian Genetic
Algorithm, which does better than traditional GA and
much better than
Monte Carlo simulated annealing, given the same number
of energy
evaluations.

See the web site for more information:

http://www.scripps.edu/pub/olson-web/doc/autodock/

AutoDock 3.0 is free to academic and non-profit
research
organisations, and the source code is provided.

(3)MOE
[email-masked] 
Hi Eric,

the latest version of MOE has a couple of very nice
features to
a) identify suitable binding sites based on curvature
information and
interaction patterns
b) explore interactions in the binding site and
suggest preferred atom locations
in de-novo or lead optimization projects

If you need more information, pls feel free to contact
me at [email-masked]

(These features are not yet covered by our webjournal
at www.chemcomp.com, as
they are just being released).

Thanks and have a good day,
Wolfram.

(4)FlexX
David Larson <[email-masked]> 
Dear Eric,

FlexX and/or SiteID may be what you are looking for. 
Please take a look
at these webpages:

FlexX
http://www.tripos.com/software/flexx.html

SiteID
http://www.tripos.com/software/siteid.html

Sincerely,
Dave Larson

"Dr. Dave Winkler" <[email-masked]> 
One of the best methods seems to be FlexX. A new paper
on this came out today on the ACS ASAP site. 

The following ASAP articles were posted to the ACS Web
Edition of
<http://pubs.acs.org/journals/jmcmar/>Journal of
Medicinal Chemistry on March 6, 2001. 

Title: Detailed Analysis of Scoring Functions for
Virtual Screening Authors: Martin Stahl and Matthias
Rarey Link:< http://dx.doi.org/10.1021/jm0003992>
http://dx.doi.org/10.1021/jm0003992 
Cheers, 

Dave 

(5)GRAMM
Eldbjéög Sofie Heimstad <[email-masked]> 
Hi,

Has anybody mentioned the available docking program
GRAMM. It is free of
charge it is very easy to use. Remember to name all
atoms that should be
treated by the program with the naming ATOM in the PDB
file. HETATM entries
are not treated.

Look at the high resolution (small ligands) and low
resolution docking
alternatives.

Internet address:
http://reco3.musc.edu/gramm/

-eldbjéög

(6)others
Renxiao Wang <[email-masked]> 
As far as I know, people usually determine the binding
site by three ways:
(1) sometimes they can get the crystal structure of
the receptor-ligand
complex, so that they know where the binding site is;
(2) if not, some
biological experiments (such as single-point mutation)
may provide
indirect evidence. So maybe you need to read more
papers searching for
such information; (3) binding site is usually more
flexible than the other
part, so maybe you can color all the atoms by their
thermal factors and
check where is the "hot" spot.

Computational methods are no good for this purpose.
You may try AutoDock
by setting a very large "box" which can actually cover
the whole receptor.
Occasionally this trick works.

Take it easy. You will get through it anyway.

Antonio Luiz Noronha <[email-masked]> 
Hi Eric

You can use a program to map the surface of your
protein, like GRID, and
then use any de novo program to design the ligand in
the site you find as
been the most important.

Best Regards
*********************
Also there are other replies which talked about the
general ideas on detecting general binding modes.
Since we don't have that many comercial softwares like
FlexX which might be good at this time, the autodock,
gramm, cast and other free software can do the similar
job. Again, thanks for all the output from this
community.

Sincerely,
-Eric

__________________________________________________
Do You Yahoo!?
Get email at your own domain with Yahoo! Mail. 
http://personal.mail.yahoo.com/